## 系统模块

~~~
com.muyu     
├── cloud-ui              // 前端框架 [80]
├── cloud-gateway         // 网关模块 [8080]
├── cloud-auth            // 认证中心 [9200]
├── cloud-common          // 通用模块
│       └── cloud-common-core                         // 核心模块
│       └── cloud-common-datascope                    // 权限范围
│       └── cloud-common-datasource                   // 多数据源
│       └── cloud-common-log                          // 日志记录
│       └── cloud-common-redis                        // 缓存服务
│       └── cloud-common-seata                        // 分布式事务
│       └── cloud-common-security                     // 安全模块
│       └── cloud-common-swagger                      // 系统接口
│       └── cloud-common-system                       // 系统基础
├── cloud-modules         // 业务模块
│       └── cloud-system                              // 系统模块 [9201]
│       └── cloud-gen                                 // 代码生成 [9202]
│       └── cloud-job                                 // 定时任务 [9203]
│       └── cloud-file                                // 文件服务 [9300]
│       └── cloud-fault                                // 故障服务 [9300]
│       └── cloud-car                                // 车辆服务 [9300]
├── cloud-visual          // 图形化管理模块
│       └── cloud-visual-monitor                      // 监控中心 [9100]
├──pom.xml                // 公共依赖
~~~
