package com.muyu.auth.form;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 用户登录对象
 *
 * @author muyu
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class LoginBody {
    /**
     * 用户名
     */
    private String username;

    /**
     * 用户密码
     */
    private String password;

    /**
     * 公司Id
     */
    private Long firmId;

}
