package com.muyu.common.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author：杨鹏
 * @Package：com.muyu.system.domain
 * @Project：cloud-vehicle
 * @name：SysFirm
 * @Date：2024/10/8 19:41
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@TableName("sys_firm")
public class SysFirm {
    @TableId(type = IdType.AUTO)
    private Integer firmId;
    private String firmName;
    private String firmCode;
    private Integer datasourceId;
}
