package com.muyu.domain.req;

import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 绑定围栏组请求参数
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "绑定围栏组参数")
public class BoundFenceGroupReq {

    /**
     * 车辆Id
     */
    private Long vehicleId;

    /**
     * 围栏组Ids
     */
    private Long[] fenceGroupIds;
}
