package com.muyu.domain.req;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name ="电子围栏信息查询" )
public class FenceReq {

//    /**
//     * 围栏类型ID
//     */
//    @Schema(type = "Long",description = "围栏类型ID")
//    private Long typeId;

    /**
     * 围栏类型名称
     */
    @Schema(type = "String",description = "围栏类型名称")
    private String typeName;

    /**
     * 电子围栏名称
     */
    @Schema(type = "String",description = "电子围栏名称")
    private String fenceName;

//    /**
//     * 业务类型
//     */
//    @Schema(type = "Integer",description = "业务类型")
//    private Integer fenceType;



}
