package com.muyu.domain.req;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name ="中间表信息查询" )
public class MiddleReq {

    /**
     * 电子围栏主键id
     */
    @Schema(type = "Long",description = "电子围栏主键id")
    private Long fenceId;

    /**
     * 围栏主键id
     */
    @Schema(type = "Long",description = "围栏主键id")
    private Long fenceGroupId;


}
