package com.muyu.enterprise.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.domain.FaultLog;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author：ChenYan
 * @Project：2112-car-cloud-server
 * @Package：com.muyu.fault.mapper
 * @Filename：FaultLogMapper
 * @Description TODO
 * @Date：2024/9/16 21:15
 */
@Mapper
public interface FaultLogMapper extends BaseMapper<FaultLog> {

    Long selectFaultId(FaultLog log);


    int updateFaultLogByTime(FaultLog log);


    void insertBatchFaultLog(@Param("logs") List<FaultLog> logs);
}
