package com.muyu.enterprise.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.domain.WarnRule;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface WarnRuleMapper extends BaseMapper<WarnRule> {

    @Select("SELECT * FROM warn_rule WHERE warn_strategy_id=#{warnStrategyId}")
    List<WarnRule> findBywarnStrategyId(Long warnStrategyId);

}
