package com.muyu.enterprise.service;



import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.FaultInfo;

import java.util.List;

/**
 * @Author：ChenYan
 * @Project：2112-car-cloud-server
 * @Package：com.muyu.fault.service
 * @Filename：IFaultInfoService
 * @Description TODO
 * @Date：2024/9/19 22:15
 */
public interface FaultInfoService extends IService<FaultInfo> {

    /**
     * 查询车辆故障管理
     *
     * @param faultInfo 车辆故障管理主键
     * @return 车辆故障管理
     */
    List<FaultInfo> pageQuery(FaultInfo faultInfo);

}
