package com.muyu.enterprise.service;

;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.Fault;

import java.util.List;

/**
 * @Author：ChenYan
 * @Project：2112-car-cloud-server
 * @Package：com.muyu.fault.service
 * @Filename：IFaultService
 * @Description TODO
 * @Date：2024/9/18 11:12
 */
public interface FaultService extends IService<Fault> {

    /**
     * 查询车辆故障管理
     *
     * @param fault 车辆故障管理主键
     * @return 车辆故障管理
     */
    List<Fault> pageQuery(Fault fault);

}
