package com.muyu.enterprise.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.domain.VehicleType;
import com.muyu.enterprise.mapper.VehicleTypeMapper;
import com.muyu.enterprise.service.VehicleTypeService;
import org.springframework.stereotype.Service;

/**
 * @Author: LiDongJia
 * @Package: com.muyu.car.service.impl
 * @Project: 2112-car-cloud-server
 * @name: VehicleTypeServiceImpl
 * @Date: 2024/9/17  17:21
 * @Description: 车辆类型实现层
 */
@Service
public class VehicleTypeServiceImpl
        extends ServiceImpl<VehicleTypeMapper, VehicleType>
        implements VehicleTypeService {
}
