package com.muyu.enterprise.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.domain.WarnRule;
import com.muyu.enterprise.mapper.WarnRuleMapper;
import com.muyu.enterprise.service.WarnRuleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

@Service
public class WarnRuleServiceImpl extends ServiceImpl<WarnRuleMapper, WarnRule> implements WarnRuleService {

    @Autowired
    private WarnRuleMapper warnRuleMapper;

    @Override
    public List<WarnRule> findBywarnStrategyId(Long warnStrategyId) {
        List<WarnRule> warnRules = warnRuleMapper.findBywarnStrategyId(warnStrategyId);
        return warnRules;
    }
}
