package com.muyu.gen;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * 代码生成
 *
 * @author muyu
 */
@EnableCustomConfig
@EnableMyFeignClients
@SpringBootApplication
public class CloudGenApplication {
    public static void main (String[] args) {
        SpringApplication.run(CloudGenApplication.class, args);
    }
}
