package com.muyu.processing.abstraction;

import com.alibaba.fastjson.JSONObject;
import com.muyu.processing.interfaces.EventInterface;
import lombok.extern.log4j.Log4j2;

/**
* 事件处理抽象类
 * @Author：杨鹏
 * @Package：com.muyu.processing.abstraction
 * @Project：car-cloud-server
 * @name：EventProcessor
 * @Date：2024/9/28 20:58
 */
@Log4j2
public abstract class EventProcessor implements EventInterface {

    private EventProcessor eventProcessor;

    public EventProcessor setEventProcessor(EventProcessor eventProcessor){
        this.eventProcessor = eventProcessor;
        return this;
    }

    @Override
    public abstract void handle(JSONObject jsonObject);

}
