package com.muyu.processing.config;

import com.muyu.processing.listener.AddDatabaseListener;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 事件监听器
 * @Author：杨鹏
 * @Package：com.muyu.processing.config
 * @Project：car-cloud-server
 * @name：AppConfig
 * @Date：2024/9/29 22:23
 */
@Configuration
public class AppConfig {

    @Bean
    public AddDatabaseListener addDatabaseListener(){
        return new AddDatabaseListener();
    }

}
