package com.muyu.cloud.protocol.parsing;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * @Author: LiDongJia
 * @Package: com.muyu.cloud.protocol.parsing
 * @Project: 2112-car-cloud-server
 * @name: ProtocolParsingApplication
 * @Date: 2024/9/28  11:54
 * @Description: 协议解析启动类
 */
@EnableCustomConfig
@EnableMyFeignClients
@SpringBootApplication
public class ProtocolParsingApplication {
    public static void main(String[] args) {
        SpringApplication.run(ProtocolParsingApplication.class, args);
    }
}
