package com.muyu.cloud.vehicle.gateway;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;

/**
 * 车辆网关负载中心
 */
@EnableCustomConfig
@EnableFeignClients
@SpringBootApplication
//@ComponentScan(basePackages = "com.muyu")
public class VehicleGatewayApplication {
    public static void main(String[] args) {
        SpringApplication.run(VehicleGatewayApplication.class, args);
    }
}
