package com.muyu.common.core.domain;

import lombok.Data;

import java.util.List;

/**
*@Author: LiDongJia
*@Package: com.muyu.common.core.domain
*@Project: 2112-car-cloud-server
*@name: PageResult
*@Date: 2024/9/18  1:52
*@Description: 分页查询响应结果集
*/
@Data
public class PageResult<T> {

    /**
     * 总条数
     */
    private Integer total;

    /**
     * 总页数
     */
    private Integer pages;

    /**
     * 集合
     */
    private List<T> list;
}
