package com.muyu.common.core.domain.req;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @Author: LiDongJia
 * @Package: com.muyu.common.core.domain.req
 * @Project: 2112-car-cloud-server
 * @name: PageReq
 * @Date: 2024/9/18  1:42
 * @Description: 分页工具参数
 */
@Data
public class PageReq {

    /**
     * 当前页数
     */
    private Integer pageNum;

    /**
     * 分页单位
     */
    private Integer pageSize;

    /**
     * 排序字段
     */
    private String orderBy;

    /**
     * 是否升序
     */

    private Boolean isAsc;

}
