package com.muyu.common.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author：杨鹏
 * @Package：com.muyu.system.domain
 * @Project：cloud-vehicle
 * @name：SysFirmDatasource
 * @Date：2024/10/8 19:44
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@TableName("sys_firm_datasource")
public class SysFirmDatasource {
    @TableId(type = IdType.AUTO)
    private Long id;
    private String url;
    private String ip;
    private Integer port;
    private String database;
    private String username;
    private String password;
}
