package com.muyu.common.system.domain.resp;

import com.muyu.common.system.domain.SysFirm;
import com.muyu.common.system.domain.SysFirmDatasource;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：杨鹏
 * @Package：com.muyu.common.system.domain
 * @Project：cloud-vehicle
 * @name：SysFirmDTO
 * @Date：2024/10/8 20:23
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SysFirmResp {
    /**
     * 公司信息
     */
    private SysFirm sysFirm;
    /**
     * 公司数据源信息
     */
    private SysFirmDatasource sysFirmDatasource;
}
