package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 围栏类型
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "lantype", autoResultMap = true)
public class LanType extends BaseEntity {


    /**
     * 主键
     */
    @TableId(value = "type_id" ,type = IdType.AUTO)
    @Schema(type = "Long",description = "主键")
    private Long typeId;

    /**
     * 类型名称
     */
    @Schema(type = "String",description = "类型名称")
    private String typeName;
}
