package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author：ChenYan
 * @Project：2112-car-cloud-server
 * @Package：com.muyu.fault.domain
 * @Filename：Custom
 * @Description TODO
 * @Date：2024/9/21 18:39
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "rule")
public class Rule {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @Excel(name = "messageId")
    private Long messageId;

    @Excel(name = "carId")
    private Integer carId;

    @Excel(name = "cId")
    private Integer cId;

    @Excel(name = "tId")
    private Integer tId;

    @Excel(name = "ruleValue")
    private Integer ruleValue;

}
