package com.muyu.domain.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author：ChenYan
 * @Project：2112-car-cloud-server
 * @Package：com.muyu.fault.domain
 * @Filename：Custom
 * @Description TODO
 * @Date：2024/9/21 18:39
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "rule")
public class RuleVo {

    @Excel(name = "id")
    private Long id;

    @Excel(name = "比较类型")
    private Integer cId;


    @Excel(name = "messageId")
    private Long messageId;

    @Excel(name = "标签")
    private String messageLabel;


    @Excel(name = "车辆id")
    private Integer carId;

    @Excel(name = "车辆故障类型id")
    private Integer tId;

    @Excel(name = "参数值")
    private Integer ruleValue;

    @Excel(name = "标准")
    private String customName;

    @Excel(name = "故障类型name")
    private String typeName;

    @Excel(name = "车辆类型name")
    private String carName;


}
