package com.muyu.enterprise;

import com.alibaba.druid.spring.boot3.autoconfigure.DruidDataSourceAutoConfigure;
import com.baomidou.dynamic.datasource.spring.boot.autoconfigure.DynamicDataSourceAutoConfiguration;
import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import lombok.extern.log4j.Log4j2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

@Log4j2
@EnableCustomConfig
@EnableMyFeignClients
@SpringBootApplication
//        (
//        exclude = {
//                DataSourceAutoConfiguration.class,
//                DruidDataSourceAutoConfigure.class,
//                DynamicDataSourceAutoConfiguration.class
//        })
public class CloudEnterpriseApplication {
    public static void main(String[] args) {
        SpringApplication.run(CloudEnterpriseApplication.class,args);
        System.out.println("Hello world!");
    }
}
