package com.muyu.enterprise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.WarnRule;

import java.util.List;

public interface WarnRuleService extends IService<WarnRule> {

    /**
     * 根据预警策略ID查询预警规则集合
     * @param warnStrategyId
     * @return
     */
    List<WarnRule> findBywarnStrategyId(Long warnStrategyId);

}
