package com.muyu.enterprise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.WarnStrategy;
import com.muyu.domain.req.WarnVehicleReq;
import com.muyu.domain.resp.WarnRuleResp;
import com.muyu.domain.resp.WarnStrategyAndVinResp;
import com.muyu.domain.resp.WarnVehicleResp;

import java.util.List;

public interface WarnStrategyService extends IService<WarnStrategy> {

//    List<WarnVehicleResp>ruleStrategyList(WarnVehicleReq warnVehicleReq);

    /**
     * 预警列表
     */
    List<WarnVehicleResp> selectList(WarnVehicleReq req);


    List<WarnStrategyAndVinResp> findById(Long warnStrategyId);

    /**
     * 查询列表（存Redis）
     * @param warnStrategyId
     * @return
     */
    WarnRuleResp findByWarnStrategyId(Long warnStrategyId);
}
