package com.muyu.enterprise.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.enterprise.mapper.MessageTemplateMapper;
import com.muyu.enterprise.service.MessageTemplateService;
import com.muyu.domain.MessageTemplate;
import org.springframework.stereotype.Service;

/**
 * @Author: LiDongJia
 * @Package: com.muyu.car.service.impl
 * @Project: 2112-car-cloud-server
 * @name: MessageServiceImpl
 * @Date: 2024/9/18  20:14
 * @Description: 报文类型业务层
 */
@Service
public class MessageTemplateServiceImpl
        extends ServiceImpl<MessageTemplateMapper, MessageTemplate>
        implements MessageTemplateService {
}
