package com.muyu.processing.basic;

import org.springframework.context.ApplicationListener;

/**
 * 事件监听接口
 * @Author：杨鹏
 * @Package：com.muyu.processing.basic
 * @Project：car-cloud-server
 * @name：EventListener
 * @Date：2024/9/29 22:29
 */
public interface EventListener extends ApplicationListener<EventCustom> {
    void onEvent(EventCustom event);

}
