package com.muyu.cloud.vehicle.gateway.domain;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 创建实例的数量
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class AliServerConfig {

    /**
     * 主键
     */
    private Long id;
    /**
     * 地域ID
     */
    private String regionId;
    /**
     * 镜像ID
     */
    private String imageId;
    /**
     * 实例规格
     */
    private String instanceType;
    /**
     * 安全组ID
     */
    private String securityGroupId;
    /**
     * 虚拟交换机ID
     */
    private String vSwitchId;
}
