package com.muyu.cloud.vehicle.gateway.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 车辆鉴权的参数
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class VehicleConnection {
    /**
     * 车辆VIN
     */
    private String vehicleVin;
    /**
     * 时间戳
     */
    private String timestamp;
    /**
     * 用户名
     */
    private String username;
    /**
     * 随机数
     */
    private String nonce;
    /**
     * 密码
     */
    private String password;
}
