package com.muyu.cloud.vehicle.gateway.domain.req;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 车辆获取链接地址
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class VehicleConnectionReq {

    /**
     * 车辆vin
     */
    private String vehicleVin;

    /**
     * 时间戳
     */
    private String timestamp;

    /**
     * 用户名
     */
    private String username;

    /**
     * 随机数
     */
    private String nonce;
}
